### Signal

# ECal ReminderWatcher::format-time

since: 3.30

#### Declaration

    void
    format_time (
      EReminderWatcher* self,
      EReminderData* rd,
      ICalTime* itt,
      gpointer inout_buffer,
      gint buffer_size,
      gpointer user_data
    )

#### Description [src]

Formats time `itt` to a string and writes it to `inout_buffer`, which can hold up to `buffer_size` bytes. The first character of `inout_buffer` is the nul-byte when nothing wrote to it yet.

Default handler:
Signal can be directly emitted on objects from user code
Available since: 3.30

#### Parameters

`rd`

  Type: `EReminderData`

  An `EReminderData`.

  The data is owned by the caller of the function.

`itt`

  Type: `None`

  An `ICalTime`.

  The data is owned by the caller of the function.

`inout_buffer`

  Type: `gpointer`

  A pointer to a buffer to fill with formatted `itt`.

  The argument will be modified by the function.
  The argument can be set to `NULL` by the signal handler.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`buffer_size`

  Type: `gint`

  Size of inout_buffer.